# H225_RegistrationRejectReason Class Reference

`#include <h225.h>`

List of all members.

## Public Types

enum

Choices {
e_discoveryRequired, e_invalidRevision, e_invalidCallSignalAddress, e_invalidRASAddress,
e_duplicateAlias, e_invalidTerminalType, e_undefinedReason, e_transportNotSupported,
e_transportQOSNotSupported, e_resourceUnavailable, e_invalidAlias, e_securityDenial,
e_fullRegistrationRequired, e_additiveRegistrationNotSupported, e_invalidTerminalAliases, e_genericDataReason,
e_neededFeatureNotSupported, e_securityError, e_registerWithAssignedGK
}

## Public Member Functions

| H225_RegistrationRejectReason (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H225_ArrayOf_AliasAddress & ()
| operator const H225_ArrayOf_AliasAddress & () const
| operator H225_RegistrationRejectReason_invalidTerminalAliases & ()
| operator const H225_RegistrationRejectReason_invalidTerminalAliases & () const
| operator H225_SecurityErrors & ()
| operator const H225_SecurityErrors & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H225_RegistrationRejectReason::Choices

Enumerator:

  e_discoveryRequired |
  e_invalidRevision |
  e_invalidCallSignalAddress |
  e_invalidRASAddress |
  e_duplicateAlias |
  e_invalidTerminalType |
  e_undefinedReason |
  e_transportNotSupported |
  e_transportQOSNotSupported |
  e_resourceUnavailable |
  e_invalidAlias |
  e_securityDenial |
  e_fullRegistrationRequired |
  e_additiveRegistrationNotSupported |
  e_invalidTerminalAliases |
  e_genericDataReason |
  e_neededFeatureNotSupported |
  e_securityError |
  e_registerWithAssignedGK |

## Constructor & Destructor Documentation

H225_RegistrationRejectReason::H225_RegistrationRejectReason | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H225_RegistrationRejectReason::operator H225_ArrayOf_AliasAddress & | ( |  | ) |

H225_RegistrationRejectReason::operator const H225_ArrayOf_AliasAddress & | ( |  | ) | const

H225_RegistrationRejectReason::operator H225_RegistrationRejectReason_invalidTerminalAliases & | ( |  | ) |

H225_RegistrationRejectReason::operator const H225_RegistrationRejectReason_invalidTerminalAliases & | ( |  | ) | const

H225_RegistrationRejectReason::operator H225_SecurityErrors & | ( |  | ) |

H225_RegistrationRejectReason::operator const H225_SecurityErrors & | ( |  | ) | const

PBoolean H225_RegistrationRejectReason::CreateObject | ( |  | ) |

PObject* H225_RegistrationRejectReason::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h225.h